<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/translate_bytes_to_hex9_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>06/26/86  translate_bytes_to_hex9_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in translate_bytes_to_hex9_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: translate_bytes_to_hex9_: 06/26/86  translate_bytes_to_hex9_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: translates a bit string to a character string
<span id="L11" class="LineNr">11 </span>containing the hexadecimal representation of the bits.
<span id="L12" class="LineNr">12 </span>Each 9-bit byte of the input is translated into two hex
<span id="L13" class="LineNr">13 </span>digits by using the low-order 8 bits in each byte.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Syntax:
<span id="L17" class="LineNr">17 </span>declare translate_bytes_to_hex9_ entry <span class="textRainbow_lv0_p0">(</span>bit <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char <span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>call translate_bytes_to_hex9_ <span class="textRainbow_lv0_p0">(</span>bit_string<span class="textRainbow_lv0_o0">,</span> hex_string<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Arguments:
<span id="L22" class="LineNr">22 </span>bit_string
<span id="L23" class="LineNr">23 </span>   is the bit string to be translated.  This argument must start on a
<span id="L24" class="LineNr">24 </span>   byte boundary and should be a multiple of 9 bit long.  Any extra
<span id="L25" class="LineNr">25 </span>   bits, not part of a complete byte, are ignored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L26" class="LineNr">26 </span>hex_string
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>   is the output character string containing hexadecimal digits
<span id="L29" class="LineNr">29 </span>   obtained by translating the low order 8 bits of each 9-bit byte of
<span id="L30" class="LineNr">30 </span>   the input string into 2 hex digits.  If the output string argument
<span id="L31" class="LineNr">31 </span>   is longer than necessary, then it is filled with ASCII &quot;0&quot;
<span id="L32" class="LineNr">32 </span>   characters.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>Notes:  This subroutine uses the hardware mvt instruction with a desc4a
<span id="L36" class="LineNr">36 </span>descriptor for the input string and a desc9a descriptor for the output
<span id="L37" class="LineNr">37 </span>string to do the translation.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
